commit 0515af79167b8f24d06338ebeba8f766eea9ad71
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sun Jun 10 15:26:11 2012 +0200

    migration -> webalbumphoto au lieu de webphotoalbum ... correctif a venir

diff --git a/main.cpp b/main.cpp
index b2ef6f6..d605378 100644
--- a/main.cpp
+++ b/main.cpp
@@ -22,7 +22,7 @@
 
 #include "abuleduapplicationv1.h"
 #include "version.h"
-#include "original.h"
+#include "webalbumphoto.h"
 
 void debugOutput(QtMsgType type, const char *msg)
  {
@@ -52,7 +52,7 @@ int main(int argc, char *argv[])
 
     AbulEduApplicationV1 a(argc, argv,VER_INTERNALNAME_STR, VER_PRODUCTVERSION_STR, VER_COMPANYDOMAIN_STR, VER_COMPANYNAME_STR);
     a.setAbeApplicationLongName(QObject::trUtf8(VER_FILEDESCRIPTION_STR));
-    original w;
+    WebAlbumPhoto w;
     w.show();
 
     return a.exec();
diff --git a/ryxeo-webphotoalbum.pro b/ryxeo-webphotoalbum.pro
index 2ce6750..26da267 100644
--- a/ryxeo-webphotoalbum.pro
+++ b/ryxeo-webphotoalbum.pro
@@ -10,18 +10,18 @@ TARGET = ryxeo-webphotoalbum
 TEMPLATE = app
 
 SOURCES += main.cpp\
-        original.cpp \
+        webalbumphoto.cpp \
     assistant.cpp \
     tools.cpp \
     newalbumdialog.cpp
 
-HEADERS  += original.h \
+HEADERS  += webalbumphoto.h \
     assistant.h \
     tools.h \
     newalbumdialog.h \
     version.h
 
-FORMS    += original.ui \
+FORMS    += webalbumphoto.ui \
     assistant.ui \
     newalbumdialog.ui
 
diff --git a/original.cpp b/webalbumphoto.cpp
similarity index 95%
rename from original.cpp
rename to webalbumphoto.cpp
index 0546da4..d03658b 100644
--- a/original.cpp
+++ b/webalbumphoto.cpp
@@ -20,8 +20,8 @@
   */
 
 
-#include "original.h"
-#include "ui_original.h"
+#include "webalbumphoto.h"
+#include "ui_webalbumphoto.h"
 
 
 //---------------------------------------------------------------------------
@@ -45,9 +45,9 @@ QString formatSize(qint64 num)
 // =========================================================================================================================
 
 
-original::original(QWidget *parent) :
+WebAlbumPhoto::WebAlbumPhoto(QWidget *parent) :
     QMainWindow(parent),
-    ui(new Ui::original)
+    ui(new Ui::WebAlbumPhoto)
 {
     ui->setupUi(this);
 
@@ -111,12 +111,12 @@ original::original(QWidget *parent) :
     ui->lwPictures->setDropIndicatorShown(true);
 }
 
-original::~original()
+       WebAlbumPhoto::~WebAlbumPhoto()
 {
     delete ui;
 }
 
-void original::on_action_Nouvel_album_triggered()
+void WebAlbumPhoto::on_action_Nouvel_album_triggered()
 {
     m_currentProjectPictureNumber = 0;
     bool ok;
@@ -139,7 +139,7 @@ void original::on_action_Nouvel_album_triggered()
 
 }
 
-void original::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
+void WebAlbumPhoto::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
 {
     QFileInfo fi(ui->treeWidget->currentItem()->data(1,0).toString()+"/info.txt");
     qDebug() << "Lecture de " << fi.absoluteFilePath();
@@ -192,7 +192,7 @@ void original::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
     qDebug() << "Espace de stockage du projet " << m_currentProjectDir;
 }
 
-void original::on_btnSave_clicked()
+void WebAlbumPhoto::on_btnSave_clicked()
 {
     QByteArray data;
     data.append(QString("name|%1\n").arg(ui->leTitre->text().trimmed()));
@@ -215,12 +215,12 @@ void original::on_btnSave_clicked()
 }
 
 
-void original::on_treeWidget_customContextMenuRequested(const QPoint &pos)
+void WebAlbumPhoto::on_treeWidget_customContextMenuRequested(const QPoint &pos)
 {
     m_menu->exec(ui->treeWidget->mapToGlobal(pos));
 }
 
-void original::dragEnterEvent(QDragEnterEvent *event)
+void WebAlbumPhoto::dragEnterEvent(QDragEnterEvent *event)
 {
     if (event->mimeData()->hasUrls())
     {
@@ -232,7 +232,7 @@ void original::dragEnterEvent(QDragEnterEvent *event)
     }
 }
 
-void original::dropEvent(QDropEvent *event)
+void WebAlbumPhoto::dropEvent(QDropEvent *event)
 {
     qDebug() << "Accepte le drop d'une image";
 
@@ -255,7 +255,7 @@ void original::dropEvent(QDropEvent *event)
     }
 }
 
-void original::addPictureToProject(QString fic)
+void WebAlbumPhoto::addPictureToProject(QString fic)
 {
     ui->statusBar->clearMessage();
     ui->statusBar->showMessage(trUtf8("Fichier en cours: %1").arg(fic),3000);
@@ -379,7 +379,7 @@ void original::addPictureToProject(QString fic)
     refreshPictureList();
 }
 
-void original::refreshPictureList()
+void WebAlbumPhoto::refreshPictureList()
 {
     QTreeWidgetItem *item = ui->treeWidget->currentItem();
     ui->lwPictures->clear();
@@ -414,7 +414,7 @@ void original::refreshPictureList()
     m_currentProjectPictureNumber = currentProjectPictureNumber+1;
 }
 
-void original::on_btnUpload_clicked()
+void WebAlbumPhoto::on_btnUpload_clicked()
 {
     qDebug() << "on_btnUpload_clicked : " << ui->treeWidget->currentItem()->data(1,0).toString();
 
@@ -452,31 +452,31 @@ void original::on_btnUpload_clicked()
     connect(m_tools, SIGNAL(signalUploadData(int,int)), this, SLOT(updateProgressData(int,int)));
 }
 
-void original::on_action_Assistant_d_installation_triggered()
+void WebAlbumPhoto::on_action_Assistant_d_installation_triggered()
 {
     Assistant *a = new Assistant(this);
     a->show();
 }
 
-void original::updateProgressFichier(int total, int current, QString fileName)
+void WebAlbumPhoto::updateProgressFichier(int total, int current, QString fileName)
 {
     ui->pbFTPFichier->setMaximum(total);
     ui->pbFTPFichier->setValue(current);
     ui->textBrowser->append(fileName + "\n");
 }
 
-void original::updateProgressData(int total, int current)
+void WebAlbumPhoto::updateProgressData(int total, int current)
 {
     ui->pbFTPProgress->setMaximum(total);
     ui->pbFTPProgress->setValue(current);
 }
 
-void original::makeZip(QString repSource, QString destFileName)
+void WebAlbumPhoto::makeZip(QString repSource, QString destFileName)
 {
     QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
     ui->statusBar->showMessage(QString::fromUtf8("Création du fichier ZIP %1 en cours").arg(destFileName), 5000);
     qApp->processEvents();
-    qDebug() << "original::makeZip " << repSource << " :: " << destFileName;
+    qDebug() << "WebAlbumPhoto::makeZip " << repSource << " :: " << destFileName;
     //Creation d'une archive ZIP dans tous les cas
     QuaZip zipDestination(destFileName);
     if(zipDestination.open(QuaZip::mdCreate)) {
@@ -509,7 +509,7 @@ void original::makeZip(QString repSource, QString destFileName)
     QApplication::restoreOverrideCursor();
 }
 
-void original::uploadEnd()
+void WebAlbumPhoto::uploadEnd()
 {
     ui->textBrowser->append(trUtf8("Téléchargement terminé\n"));
 }
diff --git a/original.h b/webalbumphoto.h
similarity index 94%
rename from original.h
rename to webalbumphoto.h
index 52ad47f..315731b 100644
--- a/original.h
+++ b/webalbumphoto.h
@@ -45,16 +45,16 @@
 
 
 namespace Ui {
-class original;
+  class WebAlbumPhoto;
 }
 
-class original : public QMainWindow
+class WebAlbumPhoto : public QMainWindow
 {
     Q_OBJECT
 
 public:
-    explicit original(QWidget *parent = 0);
-    ~original();
+  explicit WebAlbumPhoto(QWidget *parent = 0);
+  ~WebAlbumPhoto();
 
 private slots:
     void on_action_Nouvel_album_triggered();
@@ -78,7 +78,7 @@ private slots:
     void uploadEnd();
 
 private:
-    Ui::original *ui;
+    Ui::WebAlbumPhoto *ui;
     QDir m_baseDir;
     QMenu *m_menu;
     QLabel *m_labelDeposez;
diff --git a/original.ui b/webalbumphoto.ui
similarity index 95%
rename from original.ui
rename to webalbumphoto.ui
index e71243c..efc6f95 100644
--- a/original.ui
+++ b/webalbumphoto.ui
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <ui version="4.0">
- <class>original</class>
- <widget class="QMainWindow" name="original">
+ <class>WebAlbumPhoto</class>
+ <widget class="QMainWindow" name="WebAlbumPhoto">
   <property name="geometry">
    <rect>
     <x>0</x>
@@ -387,7 +387,7 @@
   <connection>
    <sender>action_Quiter</sender>
    <signal>triggered()</signal>
-   <receiver>original</receiver>
+   <receiver>WebAlbumPhoto</receiver>
    <slot>close()</slot>
    <hints>
     <hint type="sourcelabel">