commit e2b599f0aa98ca7ed4e2f285fba7d2f54d54f29d
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Tue Jun 10 19:30:31 2014 +0200

    ajout des dependances externes necessaires

diff --git a/.bzrignore b/.bzrignore
index 52e92a5..0dca7fe 100644
--- a/.bzrignore
+++ b/.bzrignore
@@ -7,3 +7,7 @@
 ./lib/abuleduidentitesv1
 ./lib/abuledufilev1
 ./lib/abuleduvirtualkeyboardv1
+./lib/abuledupluginloaderv1
+./lib/abuleduloggerv1
+./lib/abuleduloadinganimationv1
+./lib/abuledusingletonv1
diff --git a/.bzrmeta/externals b/.bzrmeta/externals
index 6ce1fdd..4c70cbc 100644
--- a/.bzrmeta/externals
+++ b/.bzrmeta/externals
@@ -1,9 +1,13 @@
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledupluginloaderv1 lib/abuledupluginloaderv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduloggerv1 lib/abuleduloggerv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduloadinganimationv1 lib/abuleduloadinganimationv1
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledusingletonv1 lib/abuledusingletonv1
diff --git a/.bzrmeta/externals-snapshot b/.bzrmeta/externals-snapshot
index 0fcb7fb..e6275d8 100644
--- a/.bzrmeta/externals-snapshot
+++ b/.bzrmeta/externals-snapshot
@@ -1,9 +1,13 @@
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1 revid:icham.sirat@ryxeo.com-20130424172322-vranw466uaso4mbi
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1 revid:eric.seigne@ryxeo.com-20130321094714-9zwblepyl2ietis1
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1 revid:eric.seigne@ryxeo.com-20130319110634-vgopg53n3qf7sj06
-http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia revid:icham.sirat@ryxeo.com-20130313214413-0n1fpronm8lnatul
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1 revid:philippe.cadaugade@ryxeo.com-20130506133852-x8yq8e04le150pt8
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1 revid:philippe.cadaugade@ryxeo.com-20130506133545-0l0ig0ipau4o1smz
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1 revid:eric.seigne@ryxeo.com-20130322103554-l8fc3fp1wqfhrhh7
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1 revid:icham.sirat@ryxeo.com-20130527152546-47xxe00sepywggsm
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1 revid:icham.sirat@ryxeo.com-20130506093314-en1m115ntenz1kg6
\ No newline at end of file
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1 revid:icham.sirat@ryxeo.com-20140528152850-pj0zp33114mk3csb
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1 revid:icham.sirat@ryxeo.com-20140523133356-ckwptipjfomavv47
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1 revid:philippe.cadaugade@ryxeo.com-20140604093802-p6bpojzwml7k1ldh
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia revid:eric.seigne@ryxeo.com-20131231005306-3pi9ou9pz64ncqk8
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1 revid:eric.seigne@ryxeo.com-20140519104118-a12xlx5sj6ormkpu
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1 revid:philippe.cadaugade@ryxeo.com-20140522135859-2qx4wdmlvpzwwfcw
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1 revid:icham.sirat@ryxeo.com-20140522092440-9dgrbt6db3qt5j97
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1 revid:philippe.cadaugade@ryxeo.com-20140604094623-nyh9g1rl7aqg7j1u
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1 revid:icham.sirat@ryxeo.com-20140506130548-5m9g2hxr80wer1f7
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledupluginloaderv1 lib/abuledupluginloaderv1 revid:icham.sirat@ryxeo.com-20140225144249-1irhzlvpnvj8p9yo
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduloggerv1 lib/abuleduloggerv1 revid:icham.sirat@ryxeo.com-20140416074451-pb5t7e5qqq5sefrz
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuleduloadinganimationv1 lib/abuleduloadinganimationv1 revid:eric.seigne@ryxeo.com-20140519104531-p5gyxfsrye124mgt
+bzr://redmine.ryxeo.com/code/leterrier-developpeu/abuledusingletonv1 lib/abuledusingletonv1 revid:icham.sirat@ryxeo.com-20131219084203-ntzm0in10fg4ulsh
\ No newline at end of file
diff --git a/ryxeo-webphotoalbum.pro b/ryxeo-webphotoalbum.pro
index 40c578e..c0087e2 100644
--- a/ryxeo-webphotoalbum.pro
+++ b/ryxeo-webphotoalbum.pro
@@ -48,3 +48,7 @@ include(lib/abuleduflatboutonv1/abuleduflatboutonv1.pri)
 include(lib/abuledumessageboxv1/abuledumessageboxv1.pri)
 include(lib/abuleduidentitesv1/abuleduidentitesv1.pri)
 include(lib/abuledufilev1/abuledufilev1.pri)
+include(lib/abuledupluginloaderv1/abuledupluginloaderv1.pri)
+include(lib/abuleduloggerv1/abuleduloggerv1.pri)
+include(lib/abuleduloadinganimationv1/abuleduloadinganimationv1.pri)
+include(lib/abuledusingletonv1/abuledusingletonv1.pri)