commit 2058d03ecf0ff14ef4ea5cb4859cd08d107f0ef4
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Tue May 28 21:58:59 2013 +0200

    actualisation des libs externes

diff --git a/.bzrignore b/.bzrignore
index e348316..52e92a5 100644
--- a/.bzrignore
+++ b/.bzrignore
@@ -4,3 +4,6 @@
 ./lib/maia
 ./lib/abuleduflatboutonv1
 ./lib/abuledumessageboxv1
+./lib/abuleduidentitesv1
+./lib/abuledufilev1
+./lib/abuleduvirtualkeyboardv1
diff --git a/.bzrmeta/externals b/.bzrmeta/externals
index c701bc6..6ce1fdd 100644
--- a/.bzrmeta/externals
+++ b/.bzrmeta/externals
@@ -4,3 +4,6 @@ http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1
 http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia
 http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1
 http://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1
diff --git a/.bzrmeta/externals-snapshot b/.bzrmeta/externals-snapshot
index 7dc6210..0fcb7fb 100644
--- a/.bzrmeta/externals-snapshot
+++ b/.bzrmeta/externals-snapshot
@@ -1,6 +1,9 @@
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1 revid:eric.seigne@ryxeo.com-20121025151528-id5tbabe8wnal3st
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1 revid:philippe.cadaugade@ryxeo.com-20121003100529-xb21l531048gwug8
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1 revid:eric.seigne@ryxeo.com-20121026101528-7uck8e0myr3lpmat
-http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia revid:eric.seigne@ryxeo.com-20120919212024-u5ldeya4ijrsdr21
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1 revid:philippe.cadaugade@ryxeo.com-20120921085719-7aji5k4vmm03g66a
-http://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1 revid:philippe.cadaugade@ryxeo.com-20121008114755-oihcscz02263ki9u
\ No newline at end of file
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduapplicationv1 lib/abuleduapplicationv1 revid:icham.sirat@ryxeo.com-20130424172322-vranw466uaso4mbi
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduconstantesv1/ lib/abuleduconstantesv1 revid:eric.seigne@ryxeo.com-20130321094714-9zwblepyl2ietis1
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledunetworkaccessmanagerv1/ lib/abuledunetworkaccessmanagerv1 revid:eric.seigne@ryxeo.com-20130319110634-vgopg53n3qf7sj06
+http://redmine.ryxeo.com/code/leterrier-developpeu/maia/ lib/maia revid:icham.sirat@ryxeo.com-20130313214413-0n1fpronm8lnatul
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduflatboutonv1/ lib/abuleduflatboutonv1 revid:philippe.cadaugade@ryxeo.com-20130506133852-x8yq8e04le150pt8
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledumessageboxv1/ lib/abuledumessageboxv1 revid:philippe.cadaugade@ryxeo.com-20130506133545-0l0ig0ipau4o1smz
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduidentitesv1 lib/abuleduidentitesv1 revid:eric.seigne@ryxeo.com-20130322103554-l8fc3fp1wqfhrhh7
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuledufilev1/ lib/abuledufilev1 revid:icham.sirat@ryxeo.com-20130527152546-47xxe00sepywggsm
+http://redmine.ryxeo.com/code/leterrier-developpeu/abuleduvirtualkeyboardv1 lib/abuleduvirtualkeyboardv1 revid:icham.sirat@ryxeo.com-20130506093314-en1m115ntenz1kg6
\ No newline at end of file
diff --git a/ryxeo-webphotoalbum.pro b/ryxeo-webphotoalbum.pro
index d1b0625..40c578e 100644
--- a/ryxeo-webphotoalbum.pro
+++ b/ryxeo-webphotoalbum.pro
@@ -44,5 +44,7 @@ include(lib/abuledunetworkaccessmanagerv1/abuledunetworkaccessmanagerv1.pri)
 include(lib/maia/maia.pri)
 include(lib/abuleduflatboutonv1/abuleduflatboutonv1.pri)
 # la lib quazip: les fichiers sont des archives zip
-include(lib/quazip/quazip/quazip.pri)
+# include(lib/quazip/quazip/quazip.pri)
 include(lib/abuledumessageboxv1/abuledumessageboxv1.pri)
+include(lib/abuleduidentitesv1/abuleduidentitesv1.pri)
+include(lib/abuledufilev1/abuledufilev1.pri)