commit 2fa8920c43d923412e0619d7515a79928e195e76
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Tue Jan 4 00:27:41 2011 +0100

    generation odt qui semble marcher

diff --git a/plugins/anet_epacks/front/abuledu-courrier_fin_maintenance_cette_annee.odt b/plugins/anet_epacks/front/abuledu-courrier_fin_maintenance_cette_annee.odt
new file mode 100644
index 0000000..43bcbda
Binary files /dev/null and b/plugins/anet_epacks/front/abuledu-courrier_fin_maintenance_cette_annee.odt differ
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
index 9641e1b..a9ace2f 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.generate_odt_courrier_end_contract.form.php
@@ -22,19 +22,29 @@ global $DB;
 
 //Si on demande a re-generer le fichier ODF on ne fait que ça
 //a faire
-if(isset($_GET['cid'])) {
+if(isset($_GET['clientid'])) {
   $fk_entitee = $_GET['clientid'];
   //On a demandé a re-générer le contrat
   //print "re - creation du contrat ... ";
 
   //Le nom du contrat
-  $query = "SELECT name FROM glpi_contracts WHERE ID='" . $_GET['cid'] . "'";
+  $clientid = $_GET['clientid'];
+  $query = "SELECT name FROM glpi_contracts WHERE ID='$clientid'";
+  //print "<p>$query</p>";
   $result = $DB->query($query);
   $data=$DB->fetch_array($result);
+  if(count($data) == 0) {
+    $clientid=$_GET['cid'];
+    $query = "SELECT name FROM glpi_contracts WHERE ID='$clientid'";
+    //print "<p>$query</p>";
+    $result = $DB->query($query);
+    $data=$DB->fetch_array($result);
+  }
   $cname=$data[0];
 
   //les epacks
-  $query2 = "SELECT code FROM glpi_plugin_anet_epacks WHERE FK_contract='" . $_GET['cid'] . "'";
+  $query2 = "SELECT code FROM glpi_plugin_anet_epacks WHERE FK_contract='$clientid'";
+  //print "<p>$query2</p>";
   $result2 = $DB->query($query2);
   $epackstxt = "";
 
@@ -43,107 +53,50 @@ if(isset($_GET['cid'])) {
     $epackstxt .= " " . $data2[0];
   }
 
-  //Le niveau du contrat de maintenance ...
-  $niveau = "-" . $_GET['niveau'];
+  //le nom du partenaire
+  $partenaire = "";
+  if(trim($_GET['clientderyxeoid']) != "") {
+    $query3="SELECT name as partenaire FROM glpi_entities WHERE ID= '" . $_GET['clientderyxeoid'] . "'";
+    // print $query3;
+    $result3 = $DB->query($query3);
+    $data3   = $DB->fetch_array($result3);
+    $partenaire = $data3['partenaire'];
+  }
 
-  $odf = new odf("courrier_fin_maintenance_cette_annee.odt");
+  $odf = new odf("abuledu-courrier_fin_maintenance_cette_annee.odt");
   setlocale(LC_TIME, "fr_FR");
   error_reporting(E_ALL);
-  $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
-  $odf->setVars('datedebut', strftime("%A %e %B %Y"), true, 'UTF-8');
-  $odf->setVars('epacks', $epackstxt, true, 'UTF-8');
+  $odf->setVars('date', strftime("%A %e %B %Y"), true, 'UTF-8');
 
   $query2="SELECT * FROM glpi_entities, glpi_entities_data WHERE glpi_entities.ID=FK_entities AND glpi_entities.ID='$fk_entitee';";
-  //print $query2;
+  //  print "<p>$query2</p>";
   //$DB->query($query2) or die($DB->error());
   $result2 = $DB->query($query2);
   $data2=$DB->fetch_array($result2);
   
-  $odf->setVars('cname',  $cname, true, 'UTF-8');
   
   $odf->setVars('client', $data2['name'], true, 'UTF-8');
-  $odf->setVars('clienttype', "____________________", true, 'UTF-8');
-  $odf->setVars('clientcapital', "____________________", true, 'UTF-8');
-  $odf->setVars('clientrcs', "____________________", true, 'UTF-8');
-  $odf->setVars('clientsiret', "____________________", true, 'UTF-8');
   $odf->setVars('clientadresse', $data2['address'], true, 'UTF-8');
   $odf->setVars('clientcp', $data2['postcode']);
   $odf->setVars('clientville', $data2['town'], true, 'UTF-8');
-  $odf->setVars('clientcontact', "____________________", true, 'UTF-8');
+
+  $odf->setVars('cname',  $cname, true, 'UTF-8');
+  $odf->setVars('partenaire', $partenaire, true, 'UTF-8');
   
+  $datefin = strftime("%A %e %B %Y",strtotime($_GET['datefin']));
+  $odf->setVars('datefin',  $datefin, true, 'UTF-8');
+
   //On créé un fichier local pour archive ...
-  $fichier = "contrats/" . date("Y-m-d") . "-abuledu-maintenance-" . $cname . ".odt";
+  $fichier = "courriers/" . date("Y-m-d") . "-abuledu-fin_de_maintenance-" . $cname . ".odt";
   $odf->saveToDisk($fichier);
   pushfile($fichier);
   //On génère le fichier
   //$odf->exportAsAttachedFile();
   //print $texte;
-  
-  
+   
  }
  else {
-   $fk_entitee = $_POST['clientid'];
-   //On créé le contrat ...
-   if(count($_POST['epack']) > 0) {
-     $cname=strtoupper(anti_speciaux($_POST['clientname'])) . date("Ymd");
-     $cnum=date("Ymd");
-     //Verification que ce numero de contrat ne soit pas déjà pris ...
-     $query="SELECT count(*) FROM glpi_contracts WHERE name='" . $cname . "'";
-     //$DB->query($query) or die($DB->error());
-     $result = $DB->query($query);
-     $data=$DB->fetch_array($result);
-     if($data[0] > 0) {
-       print "<p>AAAAAAAAaaaaaaaaaatention, ce numéro de contrat $cname / $cnum est déjà utilisé !!! cette situation ne peut arriver que si vous créez plus d'un contrat par jour ... si c'est le cas voyez avec les développeurs ...</p>\n";
-       exit;
-     }
-
-     $query="INSERT INTO glpi_contracts(FK_entities,recursive,name,num,contract_type,begin_date,duration,notice,periodicity,facturation,notes,alert,renewal)
-                                 VALUES(" . $_POST['clientid'] . ",'0','$cname','$cnum','6', NOW( ) ,'36','1','12','12','Créé par anet :: " . basename($_SERVER['SCRIPT_FILENAME']) . "','3','1' )";
-     $texte .= "<p> Création du contrat :: $query</p>\n";
-
-     $DB->query($query) or die($DB->error());
-     $contractid = $DB->insert_id();
-
-     $texte .= "<p>Pour y associer les ePacks suivants:</p>
-<ul>\n";
-
-     for($i = 0; $i < count($_POST['epack']); $i++) {
-       $epack = trim($_POST['epack'][$i]);
-       $epackstxt .= " $epack ";
-       $query="UPDATE glpi_plugin_anet_epacks SET FK_contract='$contractid' WHERE code='$epack'";
-       $DB->query($query) or die($DB->error());
-
-       $texte .= "<li>$query</li>\n";
-     }
-     $texte .= "</ul>";
-     
-   }
-   //Sinon c'est qu'on génère un contrat de partenaire global ENR2009
-   else {
-     $cname=strtoupper(anti_speciaux(base64_decode($_GET['clientname']))) . "-ENR2009";
-     $cnum=date("Ymd");
-     //Verification que ce numero de contrat ne soit pas déjà pris ...
-     $query="SELECT count(*) FROM glpi_contracts WHERE name='" . $cname . "'";
-     //$DB->query($query) or die($DB->error());
-     $result = $DB->query($query);
-     $data=$DB->fetch_array($result);
-     if($data[0] > 0) {
-       print "<p>AAAAAAAAaaaaaaaaaatention, ce numéro de contrat $cname / $cnum est déjà utilisé !!! cette situation ne peut arriver que si vous créez plus d'un contrat par jour ... si c'est le cas voyez avec les développeurs ... <a href=\"plugin_anet_epacks.generate_odt_contrat_partenaire_enr2009.form.php\">Un petit retour à l'accueil</a> ?</p>\n";
-       exit;
-     }
-
-     $query="INSERT INTO glpi_contracts(FK_entities,recursive,name,num,contract_type,begin_date,duration,notice,periodicity,facturation,notes,alert,renewal)
-                                 VALUES(" . $_GET['clientid'] . ",'0','$cname','$cnum','6', NOW( ) ,'36','1','12','12','Créé par anet :: " . basename($_SERVER['SCRIPT_FILENAME']) . "','3','1' )";
-     $texte .= "<p> Création du contrat partenaire :: $query</p>\n";
-
-     $DB->query($query) or die($DB->error());
-     $contractid = $DB->insert_id();
-     
-   }
-
-   print "<p>Désolé pour la mise en page et cette superbe page blanche ...</p>\n";
-
-   print "<p>Les packs sont maintenant associés au contrat, <a href=\"plugin_anet_epacks.view_maintenance.php?year=" . date("Y") . "\">cliquez ici pour choisir le type de contrat que vous voulez</a> pour ce client.</p>\n";
+   print "<p>Désolé pour la mise en page et cette superbe page blanche ... mais il manque un parametre a l'appel de cette page !</p>\n";
  }
 ?>
diff --git a/plugins/anet_epacks/front/plugin_anet_epacks.view_endcontract.php b/plugins/anet_epacks/front/plugin_anet_epacks.view_endcontract.php
index c02cc76..7093fa3 100644
--- a/plugins/anet_epacks/front/plugin_anet_epacks.view_endcontract.php
+++ b/plugins/anet_epacks/front/plugin_anet_epacks.view_endcontract.php
@@ -44,11 +44,10 @@ print "<tr class='tab_bg_3'>
 for($i = 0; $i < $DB->numrows($result); $i++) {
   $data=$DB->fetch_array($result);
 
-  $query2="SELECT g.name as clientderyxeo FROM glpi_plugin_anet_epacks AS e LEFT JOIN glpi_entities AS g ON FK_clientderyxeo=g.ID
+  $query2="SELECT code,g.id as clientderyxeoid,g.name as clientderyxeo FROM glpi_plugin_anet_epacks AS e LEFT JOIN glpi_entities AS g ON FK_clientderyxeo=g.ID
 LEFT JOIN glpi_contracts AS c ON FK_contract=c.ID
 WHERE FK_contract= '" . $data['ID'] . "'";
-  //print $query2 . "<br />" . "<br />";
-  //$DB->query($query) or die($DB->error());
+  //  print $query2 . "<br />" . "<br />";
   $epacks = "";
   $result2 = $DB->query($query2);
   for($j = 0; $j < $DB->numrows($result2); $j++) {
@@ -79,8 +78,7 @@ LIMIT 500;";
   <td>" . $data['duration'] . "</td>
   <td>" . $epacks . "</td>\n";
   print "  <td>
-    <a href=\"plugin_anet_epacks.generate_odt_courrier_end_contract.form.php?clientid=" . $data['FK_entities'] . "&cid=" . $data['ID'] . "&niveau=courrier_endcontract\">Courrier de fin de maintenance</a><br />
-  </td>
+    <a href=\"plugin_anet_epacks.generate_odt_courrier_end_contract.form.php?clientid=" . $data['FK_entities'] . "&cid=" . $data['ID'] . "&clientderyxeoid=" . $data2['clientderyxeoid'] . "&datefin=" . $data['endcontract'] . "&niveau=courrier_endcontract\">Courrier d'information</a> de fin de maintenance à venir.</td>
 </tr>\n";
 }
 