commit 3a4c0c8e8cdd9ea30329c8c429a146943902058c
Author: root <root@anet>
Date:   Mon Mar 23 23:28:37 2015 +0100

    ajout du fichier odp tabuledu

diff --git a/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack_tabuledu.odp b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack_tabuledu.odp
new file mode 100644
index 0000000..57cbdad
Binary files /dev/null and b/htdocs/epack/abuledu-base_genere_automatiquement_enregistrement_epack_tabuledu.odp differ
diff --git a/htdocs/epack/export/checksum b/htdocs/epack/export/checksum
index c098c9c..d479cb9 100644
Binary files a/htdocs/epack/export/checksum and b/htdocs/epack/export/checksum differ
diff --git a/htdocs/epack/export/checksum.md5 b/htdocs/epack/export/checksum.md5
index d940543..af1b972 100644
--- a/htdocs/epack/export/checksum.md5
+++ b/htdocs/epack/export/checksum.md5
@@ -1 +1 @@
-6058fe910c89a9aeaacd37969d3716a2  checksum
+676ed0ea17e7a0d447c12fb66a6b5a89  checksum
diff --git a/htdocs/epack/register-tabuledu.php b/htdocs/epack/register-tabuledu.php
index a8921ec..3a7d7cb 100644
--- a/htdocs/epack/register-tabuledu.php
+++ b/htdocs/epack/register-tabuledu.php
@@ -12,7 +12,7 @@ function make_pdf($pass,$code,$datapost) {
   global $message;
   global $login_email;
   require_once('lib/odf.php');
-  $odf = new odf("abuledu-base_genere_automatiquement_enregistrement_epack.odp");
+  $odf = new odf("abuledu-base_genere_automatiquement_enregistrement_epack_tabuledu.odp");
    
   //1ere page
   setlocale(LC_TIME, "fr_FR.UTF-8");
@@ -24,10 +24,6 @@ function make_pdf($pass,$code,$datapost) {
   $odf->setVars('epack_pass', $pass);
   $odf->setVars('epack_code', $code);
 
-  //Les mots de passes
-  $odf->setVars('pass_root', $datapost['IROOT']);
-  $odf->setVars('pass_abuladmin', $datapost['IABE']);
-
   //L'école
   $odf->setVars('ecole_nom', $datapost['INAME'], true, 'UTF-8');
   $odf->setVars('ecole_adresse', $datapost['IADDRESS0'], true, 'UTF-8');
@@ -38,12 +34,10 @@ function make_pdf($pass,$code,$datapost) {
   $odf->setVars('ecole_email', $datapost['IEMAIL'], true, 'UTF-8');
 
   //Le tabuledu
-  $odf->setVars('srv_srv', $datapost['ISRV'], true, 'UTF-8');
   $odf->setVars('srv_serial', $datapost['ISERIAL'], true, 'UTF-8');
   $odf->setVars('srv_cpu', $datapost['CPU'], true, 'UTF-8');
   $odf->setVars('srv_ram', $datapost['RAM'], true, 'UTF-8');
   $odf->setVars('srv_hdd0', $datapost['HDD0'], true, 'UTF-8');
-  $odf->setVars('srv_hdd1', $datapost['HDD1'], true, 'UTF-8');
   $odf->setVars('srv_eth0', $datapost['MAC0'], true, 'UTF-8');
   $odf->setVars('srv_eth1', $datapost['MAC1'], true, 'UTF-8');
 
@@ -80,7 +74,7 @@ function make_pdf($pass,$code,$datapost) {
 
   //Ensuite il faut l'envoyer par email ...
   $txtmail = "Bonjour,
-vous venez d'enregistrer un ePack d'installation AbulÉdu et nous vous en remercions.
+vous venez d'enregistrer un ePack d'installation AbulÉdu version TAbulÉdu et nous vous en remercions.
 
 Vous trouverez ci-joint le document récapitulatif de votre enregistrement.
 
@@ -91,7 +85,7 @@ Tel: 05 35 54 01 18";
   $crlf = "\n";
   $hdrs = array(
 	      'From'    => 'contact@ryxeo.com',
-              'Subject' => mb_encode_mimeheader("[AbulEdu] Fiche d'installation " . $datapost['INAME']),
+              'Subject' => mb_encode_mimeheader("[TAbulEdu] Fiche d'installation " . $datapost['INAME']),
 	      'BCC'     => 'contact@ryxeo.com, supportteam@ryxeo.com'
 		);
   $mime = new Mail_mime($crlf);
@@ -121,7 +115,7 @@ function send_mail_installation($pass,$code,$datapost) {
 
 Bonjour,
 
-un nouveau tabuledu vient d'être inséré dans AbulÉdu.NET:
+une nouvelle tabuledu vient d'être installée
 
 Référence du ePack AbulÉdu:
  - $pass
@@ -184,7 +178,7 @@ abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
 
   if(stripos($code, "-TESTS-")) {
     ryxeo_mail("anet@ryxeo.com",$mail_content,"contact@ryxeo.com","[epack de test] Nouveau tabuledu dans la base abuledu.net");
-    make_conffiles($datapost['MAC0'],$pass,$code);
+    //make_conffiles($datapost['MAC0'],$pass,$code);
   }
   else {
     ryxeo_mail("anet@ryxeo.com",$mail_content,"contact@ryxeo.com","Nouveau tabuledu dans la base abuledu.net");