commit 4a38280a9819d58da080ea731474bfd36bf3a6d5
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Mon Jul 5 17:49:01 2010 +0200

    htdocs/forget.php

diff --git a/htdocs/forget.php~ b/htdocs/forget.php~
deleted file mode 100644
index ff2218a..0000000
--- a/htdocs/forget.php~
+++ /dev/null
@@ -1,290 +0,0 @@
-<?php
-/*
- -------------------------------------------------------------------------
- GLPI - Gestionnaire Libre de Parc Informatique
- Copyright (C) 2003-2009 by the INDEPNET Development Team.
- Copyright (C) 2009 Eric Seigne <eric.seigne@ryxeo.com>
-
- http://indepnet.net/   http://glpi-project.org
- -------------------------------------------------------------------------
-
- LICENSE
-
- This file is part of GLPI.
-
- GLPI is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
-
- GLPI is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- GNU General Public License for more details.
-
- You should have received a copy of the GNU General Public License
- along with GLPI; if not, write to the Free Software
- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- --------------------------------------------------------------------------
- */
-
-// ----------------------------------------------------------------------
-// Original Author of file:
-// Purpose of file:
-// ----------------------------------------------------------------------
-
-define('GLPI_ROOT', '.');
-
-include (GLPI_ROOT . "/config/based_config.php");
-include_once (GLPI_ROOT . "/inc/dbmysql.class.php");
-include_once (GLPI_ROOT . "/inc/mailing.class.php");
-include_once (GLPI_CONFIG_DIR . "/config_db.php");
-include (GLPI_ROOT . "/inc/includes.php");
-
-
-// Send UTF8 Headers
-header("Content-Type: text/html; charset=UTF-8");
-// Start the page
-
-echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
-echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"fr\" lang=\"fr\">";
-echo "<head><title>GLPI - Password</title>\n";
-echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8 \" />\n";
-echo "<meta http-equiv=\"Content-Script-Type\" content=\"text/javascript\" />\n";
-echo '<link rel="shortcut icon" type="images/x-icon" href="'.$CFG_GLPI["root_doc"].'/pics/favicon.ico" />';
-
-//ryxeo
-echo "<link rel='stylesheet' href='".$CFG_GLPI["root_doc"]."/css/navbar.css' type='text/css' />\n";
-echo "<link rel='stylesheet' type='text/css' href='".$CFG_GLPI["root_doc"]."/css/abuledunet-vert.css' media='screen' title='Style par défaut de AbulÉdu.Net' />\n";
-
-// Appel CSS
-echo '<link rel="stylesheet"  href="'.$CFG_GLPI["root_doc"].'/css/styles.css" type="text/css" media="screen" />';
-// surcharge CSS hack for IE 
-echo "<!--[if lte IE 6]>" ; 
-echo "<link rel='stylesheet' href='".$CFG_GLPI["root_doc"]."/css/styles_ie.css' type='text/css' media='screen' >\n"; 
-echo "<![endif]-->";
-echo "<script type=\"text/javascript\"><!--document.getElementById('var_login_name').focus();--></script>";
-
-echo "</head>";
-
-// Body with configured stuff
-echo "<body>";
-
-	//ryxeo
-	echo "<body>";
-
-echo "		<div id=\"page\">
-			<div id=\"top\">
-				<a href=\"/index\"
-				   title=\"Retouner directement à la page d'accueil\"
-				   id=\"link_home\"><h1>AbulÉdu.net</h1></a>
-			</div>
-		<div id=\"navbar\">
-		<ul>
-              <li><a href=\"http://www.abuledu.org\" id=\"navbar_www\" title=\"Le projet AbulÉdu\" class=\"ttip\">AbulÉdu</a></li>
-              <li><a href=\"http://www.abuledu.org/leterrier/\" id=\"navbar_leterrier\" title=\"Les logiciels libres pédagogiques fait par des enseignants dans le cadre du projet AbulÉdu\" class=\"ttip\">LeTerrier</a></li>
-              <li><a href=\"http://libre.pedagosite.net/\" id=\"navbar_pedagosite\" title=\"Consultez les ressources pédagogiques réalisées par des enseignants et participez en envoyant vos contributions sur libre.pedagosite.net\" class=\"ttip\">Pédagosite</a></li>
-              <li><a href=\"http://docs.abuledu.org/\" id=\"navbar_doc\" title=\"Toute la documentation d'AbulÉdu est disponible sur ce site internet\" class=\"ttip\">Documentation</a></li>
-
-              <li><a href=\"http://forum.abuledu.org/\" id=\"navbar_forum\" title=\"Les forums\" class=\"ttip\">Forums</a></li>
-              <li><a href=\"http://planete.abuledu.org/\" id=\"navbar_actu\" title=\"Suivez toute l'actualité du projet AbulÉdu sur la planète\" class=\"ttip\">Planète</a></li>
-              <li><a href=\"http://www.abuledu.com/\" id=\"navbar_aepro\" title=\"AbulEdu.PRO vous propose un certain nombre de services professionnels.\" class=\"ttip\">Services PRO</a></li>
-              <li id=\"active\"><a href=\"http://www.abuledu.net/\" id=\"navbar_anet\" title=\"AbulEdu.NET vous permet de gérer vos demandes d'interventions ou de superviser votre parc de serveurs. Ce service n'est disponible qu'aux abonnés au service AbulEdu.NET\" class=\"ttip\">AbulEdu.NET</a></li>
-              <li><a href=\"http://servecole.abuledu.info/admin.php\" id=\"navbar_webadmin\" title=\"Administration de votre serveur AbulÉdu. Attention, Cet outil n'est accessible que si vous êtes à l'interieur d'un réseau AbulÉdu !\" class=\"ttip\">WebAdmin</a></li>
-		</ul>
-		<p>&nbsp;</p>
-	    </div>
-
-		<div id=\"navigation\">
-		<div id=\"navWiki\">
-			<h2>Liens rapides</h2>
-				<ul>
-					<li><a href=\"http://www.abuledu.net/epack/new\">Enregistrement d'un epack</a></li>
-					<li><a href=\"https://secure.ryxeo.com/glpi/index2.php\">Accès partenaires</a></li>
-					<li><a href=\"forget.php\">Demander un mot de passe</a></li>
-				</ul>
-			</div>
-<div id=\"nav_connexion\">
-<h2>Connexion</h2>
-			<div id=\"user_top_bar\">
-				<div id=\"box_unlogged\" class=\"identification_box\">
-					<li><a href=\"http://www.abuledu.net/aide.pdf\">Aide AbulEdu.NET 2009</a></li>
-				</div>
-			</div>
-</div>
-</div>
-<div id=\"main\">\n";
-
-// contenu
-
-echo "<div id='contenulogin'>";
-
-echo "<div id='logo-login'>";
-
-echo nl2br(unclean_cross_side_scripting_deep($CFG_GLPI['text_login']));
-
-
-echo "</div>";
-
-
-if (!isset ($_POST['login_email'])){
-  echo "<div id='boxlogin'>";
-  
-  echo "<form action='forget.php' method='post'>";
-  
-  // Other CAS 
-  if (isset($_GET["noAUTO"])) {
-    echo "<input type='hidden' name='noAUTO' value='1' />";
-  }
-  
-  // redirect to tracking
-  if (isset($_GET["redirect"])){
-    manageRedirect($_GET["redirect"]);
-    echo '<input type="hidden" name="redirect" value="'.$_GET['redirect'].'">';
-  }
-  
-  echo "<fieldset>";
-  echo '<legend>Envoyez-moi mon mot de passe</legend>';
-  
-  echo '<div class="row"><span class="label"><label>Adresse email :  </label></span><span class="formw"> <input type="text" name="login_email" id="login_email" size="15" /></span></div>';
-  
-  echo "</fieldset>";
-  echo '<p ><span> <input type="submit" name="submit" value="'.$LANG["buttons"][2].'" class="submit" /></span></p>';
-  echo "</form>";
-  
-  echo "<script type='text/javascript' >\n";
-  echo "document.getElementById('login_name').focus();";
-  echo "</script>";
-  
-  echo "<p><a href=\"index.php\">Retour à l'accueil</a></p>";
-  echo "</div>";  // fin box login
-}  
-//On a tappe l'adresse email
-else {
-
-  function nbAleatoire() {
-    mt_srand((double)microtime()*1000000);
-    $num = mt_rand(48, 122);
-    return $num;
-  }
-
-  function genChar() {
-    do {
-      $num = nbAleatoire();
-    } while (( $num > 57 && $num < 65 ) || ( $num > 90 && $num < 97 ));
-    $char = chr($num);
-    return $char;
-  }
-  
-  function makePassword($size){
-    $lepass = "";
-    for($i=1; $i<=$size; $i++) {
-      $lepass = $lepass . genChar();
-    }
-    $lepass = strtolower($lepass);
-    return $lepass;
-  }
-  
-  $query="SELECT name FROM `glpi_users` WHERE email='" . addslashes($_POST['login_email']) . "'";
-  $DB=new DB();
-  $result=$DB->query($query);
-  $login=$DB->result($result,0,0);
-  if($login != "") {
-    $password=makePassword(8);
-    $password_md5=md5($password);
-    $query2="UPDATE `glpi_users` SET password_md5='" . $password_md5 . "' WHERE email='" . addslashes($_POST['login_email']) . "'";
-    $DB->query($query2) or die("Error: ".$DB->error());
-    
-    $email = "
-
-Bonjour,
-vous trouverez ci-dessous les informations vous permettant de vous connecter
-sur la plate-forme de suivi abuledu.net:
-
- - Votre identifiant:    $login
- - Votre mot de passe:   $password
- - Adresse de connexion: http://www.abuledu.net/
-
-Lorsque vous serez sur le site internet en question vous pourrez télécharger
-un fichier d'aide (présent dans le menu gauche du site).
-
-Nous vous conseillons d'utiliser le navigateur libre firefox pour accéder à
-abuledu.net
-
-Cordialement,
-RyXéo
-
---
-RyXéo SARL - Maison éditrice d'AbulÉdu
-21 Avenue E. et M. Dulout
-33600 Pessac
-";
-    
-    $mmail=new glpi_phpmailer();
-    $mmail->From=$CFG_GLPI["admin_email"];
-    $mmail->FromName=$CFG_GLPI["admin_email"];
-    $mmail->AddAddress($_POST['login_email'],"");
-    //Copy to admin
-    $mmail->AddBCC($CFG_GLPI["admin_email"], "GLPI");
-    $mmail->Subject="[SUPPORT RYXEO] -- MOT DE PASSE -- ";
-    $mmail->Body=$email;
-    
-    if (!$mmail->Send()) {
-      echo "Erreur";
-    }
-    else {
-      echo "Votre mot de passe a été envoyé par email";
-    }
-  }
-  else {
-    
-    echo "<div class='error'>";
-    echo "<noscript><p>";
-    echo $LANG["login"][26];
-    echo "</p></noscript>";
-    if (isset($_GET['error'])){
-      switch ($_GET['error']){
-      case 1 : // cookie error
-	echo $LANG["login"][27];
-	break;
-      case 2 : // GLPI_SESSION_DIR not writable
-	echo $LANG["install"][50].": ".GLPI_SESSION_DIR;
-	break;
-      }
-    }
-    echo "Identifiant inconnu !";
-    echo "</div>";
-    }
-  
-}
-
-echo "</div>"; // fin contenu login
-
-echo "<div id='footer-login'>";
-echo "<a href=\"http://glpi-project.org/\" title=\"Powered By Indepnet\"  >";
-echo 'GLPI version '.(isset($CFG_GLPI["version"])?$CFG_GLPI["version"]:"").' Copyright (C) 2003-'.date("Y").' INDEPNET Development Team.';
-echo "</a>";
-echo "</div>"; 
-
-
-//ryxeo
-echo "      </div>
-      <p id=\"footer\">
-        <a id=\"ryxeo\" href=\"http://www.ryxeo.com\">
-          <img src=\"" . $CFG_GLPI["root_doc"] . "/pics/abuledu/logo_ryxeo.png\" alt=\"Hébergé par RyXeo\"/>
-        </a>
-        <!--
-                accueil.txt &middot; Dernière modification: 2007/06/07 19:46 par bafriss &middot;  -->
-
-        <a href=\"http://www.ubuntu-fr.org/\" title=\"Squelette wiki inspire de celui de ubuntu-fr.org\">Squelette wiki inspire de celui de ubuntu-fr.org !</a>
-         - Propulsé par AbulEdu.NET
-      </div>
-    </div>
-";
-
-echo "</body></html>";
-
-// End
-
-
-?>